> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user API key

> Update an user API key



## OpenAPI

````yaml /openapi/server.json patch /user-api-keys/{api_key_id}
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /user-api-keys/{api_key_id}:
    patch:
      tags:
        - API Keys
      summary: Update user API key
      description: Update an user API key
      parameters:
        - name: api_key_id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                revoked:
                  type: boolean
              example: {}
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  description:
                    type: string
                  expires_at_millis:
                    type: number
                  manually_revoked_at_millis:
                    type: number
                  created_at_millis:
                    type: number
                  is_public:
                    type: boolean
                  value:
                    type: object
                    properties:
                      last_four:
                        type: string
                    required:
                      - last_four
                  type:
                    type: string
                    enum:
                      - user
                  user_id:
                    type: string
                    example: 3241a285-8329-4d69-8f3d-316e08cf140c
                    description: >-
                      The ID of the user, or the special value `me` for the
                      currently authenticated user
                required:
                  - id
                  - description
                  - created_at_millis
                  - is_public
                  - value
                  - type
                  - user_id

````